Subject: Re: bug#37173: 27.0.50; (blink-cursor-mode 0) in ~/.emacs has no effect

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2019 16:50:25 +0300

> Date: Sat, 24 Aug 2019 16:35:55 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
>  I suspect this change:
> 
>   commit 7e2090ee80c9099ee953392444e1d73d10e973d4
>   Author:     Noam Postavsky <[email-masked]>
>   AuthorDate: Sat Aug 3 20:19:31 2019 -0400
>   Commit:     Noam Postavsky <[email-masked]>
>   CommitDate: Tue Aug 20 20:20:52 2019 -0400

Actually, the culprit was this one:

  commit bb5cd7c4caf415e40836edbbc4e62b0dd411d73f
  Author:     Eli Zaretskii <[email-masked]>
  AuthorDate: Thu Aug 22 20:46:31 2019 +0300
  Commit:     Eli Zaretskii <[email-masked]>
  CommitDate: Thu Aug 22 20:46:31 2019 +0300

      Recompute user-emacs-directory-relative defcustoms one more time

      * lisp/startup.el (command-line): Re-evaluate the
      custom-delayed predefined variables one more time after
      loading the user's init file.  (Bug#37116)

I've reverted this for now, but I don't understand why re-evaluating
the custom-delayed variables should toggle a minor mode whose mode
variable is in the custom-delayed-init-variables list, when the init
file says to turn it off unconditionally.  What am I missing?